Bug 495135 - Add startd plugin configuration to startds
Add startd plugin configuration to startds
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: grid (Show other bugs)
Development
All Linux
high Severity medium
: 1.3
: ---
Assigned To: Robert Rati
Luigi Toscano
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-09 17:12 EDT by Robert Rati
Modified: 2010-12-17 10:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-20 07:30:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Rati 2009-04-09 17:12:19 EDT
Description of problem:
The startd's now have plugin support and QMF plugins for them.  Add the needed configuration to the startd configs.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Matthew Farrellee 2009-04-17 10:36:15 EDT
As of condor 7.3.1-0.3 a MgmtStartdPlugin-plugin.so exists.

Direction is to install it in STARTD.PLUGINS and disable publishing of Slots from the Collector, with QMF_IGNORE_UPDATE_STARTD_AD = TRUE
Comment 2 Matthew Farrellee 2010-01-15 15:14:22 EST
QMF_IGNORE_UPDATE_STARTD_AD defaults to TRUE in at least 7.4.2-0.4 and beyond.
Comment 5 Robert Rati 2010-02-24 11:36:24 EST
Added correctly in:
condor-wallaby-base-db-1.0-0.4
Comment 6 Luigi Toscano 2010-05-27 12:52:48 EDT
ExecuteNode's default configuration contains the definition of  STARTD.PLUGINS which points to MgmtStartdPlugin-plugin.so.
Collector's default configuration defines QMF_IGNORE_UPDATE_STARTD_AD as "TRUE".

Verified on condor-wallaby-base-db 1.1-0.6 (noarch package).

Note You need to log in before you can comment on or make changes to this bug.